phing-tasks-ext-phar

# Class: PharMetadataElement Source Location: /tasks/ext/phar/PharMetadataElement.php
### Class Overview
    PharMetadata
       |
       --PharMetadataElement
#### Author(s): Alexey Shockov <alexey@shockov.com> | ### Methods getName getValue setName setValue toArray
### Inherited Variables #### Class: PharMetadata PharMetadata::$elements | ### Inherited Methods #### Class: PharMetadata PharMetadata::createElement() PharMetadata::toArray()
### Class Details [line 29] #### Tags:
author: | Alexey Shockov <alexey@shockov.com>
since: | 2.4.0
[ Top ] ### Class Methods ### method getName [line 57]
`string getName( )`
#### Tags:
access: | public
[ Top ] ### method getValue [line 66]
`string|array getValue( )`
Return array of #### Tags:
access: | public
[ Top ] ### method setName [line 50]
`void setName( string $name)`
#### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] ### method setValue [line 43]
`void setValue( string $value)`
#### Tags:
access: | public
#### Parameters:
string | $value |
[ Top ] ### method toArray [line 76]
`string|array toArray( )`
#### Tags:
access: | public
Overrides PharMetadata::toArray() (parent method not documented) [ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:31 +0200 by phpDocumentor 1.4.3